<div class="empty-wrapper">
  <div class="header-empty-container"></div>
  <div class="content-container">
    <form [formGroup]="loginForm" (ngSubmit)="login()" class="form-container">

      <div class="form__group field">
        <input
          formControlName="email"
          type="email"
          class="form__field"
          placeholder="Email"
          name="email"
          id='email'/>
        <label for="email" class="form__label">Email</label>
        <div
          *ngIf="
          loginForm.controls['email'].invalid
           && (loginForm.controls['email'].dirty
           || loginForm.controls['email'].touched)">
          <div
            class="form-error"
            *ngIf="loginForm.controls['email'].errors?.['required']">
            Введите email
          </div>
        </div>
      </div>

      <div class="form__group field">
        <input
          formControlName="password"
          [type]="isPassword ? 'password' : 'text'"
          class="form__field"
          placeholder="Пароль пользователя"
          name="password"
          id='password'/>
        <label for="password" class="form__label">Пароль пользователя</label>
        <img class="eye-icon" (click)="isPassword = !isPassword" src="assets/icons/eye-icon.svg">
        <div
          *ngIf="
          loginForm.controls['password'].invalid
           && (loginForm.controls['password'].dirty
            || loginForm.controls['password'].touched)">
          <div
            class="form-error"
            *ngIf="loginForm.controls['password'].errors?.['password']
             || loginForm.controls['password'].errors?.['required']">
            Введите пароль
          </div>
        </div>
      </div>
      <div class="form__group field form-bottom">
        <button [disabled]="loginForm.invalid" class="btn">Войти</button>
      </div>
    </form>
  </div>
  <div class="footer-empty-container"></div>
</div>
